# GET /discount-groups/{discount_group_id}

**Get a discount group**

Returns a discount group using its ID.

**Required permissions:** `discount.read`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `discount_group_id` | string | required | Paddle ID of the discount group entity to work with. (pattern: `^dsg_[a-z\d]{26}$`) |

## Response (200)

- `data`: object (required) — Represents a discount group entity.
  - `id`: string (required) — Unique Paddle ID for this discount group, prefixed with `dsg_`. (pattern: `^dsg_[a-z\d]{26}$`)
  - `name`: string (required) — Unique name of this discount group, typically something short and memorable for categorization. Not shown to customers. (Length: 1–500)
  - `status`: string (required) — Whether this entity can be used in Paddle.
  - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
  - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
  - `import_meta` (required) — Import information for this entity. `null` if this entity is not imported.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "id": "dsg_01hv6scyf7qdnzcdq01t2y8dx4",
    "status": "active",
    "name": "Black Friday 2024",
    "import_meta": null,
    "created_at": "2024-11-28T14:36:14.695Z",
    "updated_at": "2024-11-28T14:36:14.695Z"
  },
  "meta": {
    "request_id": "74d0b3ed-9eba-437e-bbcc-f5619bb5a661"
  }
}
```
